/**
* @license Apache-2.0
*
* Copyright (c) 2023 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/**
* Header file containing function declarations for ndarray functions which perform assignment.
*/
#ifndef STDLIB_NDARRAY_BASE_ASSIGN_H
#define STDLIB_NDARRAY_BASE_ASSIGN_H

#include "assign/macros.h"
#include "assign/typedefs.h"
#include "assign/dispatch_object.h"
#include "assign/dispatch.h"

/*
* The following is auto-generated. Do not manually edit. See scripts/loops.js.
*/

// BEGIN LOOPS
#include "assign/b_b.h"
#include "assign/b_c.h"
#include "assign/b_d.h"
#include "assign/b_f.h"
#include "assign/b_i.h"
#include "assign/b_k.h"
#include "assign/b_t.h"
#include "assign/b_u.h"
#include "assign/b_z.h"

#include "assign/c_c.h"
#include "assign/c_z.h"

#include "assign/d_c.h"
#include "assign/d_d.h"
#include "assign/d_f.h"
#include "assign/d_z.h"

#include "assign/f_c.h"
#include "assign/f_d.h"
#include "assign/f_f.h"
#include "assign/f_z.h"

#include "assign/i_d.h"
#include "assign/i_i.h"
#include "assign/i_u.h"
#include "assign/i_z.h"

#include "assign/k_c.h"
#include "assign/k_d.h"
#include "assign/k_f.h"
#include "assign/k_i.h"
#include "assign/k_k.h"
#include "assign/k_t.h"
#include "assign/k_u.h"
#include "assign/k_z.h"

#include "assign/s_b.h"
#include "assign/s_c.h"
#include "assign/s_d.h"
#include "assign/s_f.h"
#include "assign/s_i.h"
#include "assign/s_k.h"
#include "assign/s_s.h"
#include "assign/s_t.h"
#include "assign/s_u.h"
#include "assign/s_z.h"

#include "assign/t_c.h"
#include "assign/t_d.h"
#include "assign/t_f.h"
#include "assign/t_i.h"
#include "assign/t_t.h"
#include "assign/t_u.h"
#include "assign/t_z.h"

#include "assign/u_d.h"
#include "assign/u_u.h"
#include "assign/u_z.h"

#include "assign/x_x.h"

#include "assign/z_c.h"
#include "assign/z_z.h"
// END LOOPS

#endif // !STDLIB_NDARRAY_BASE_ASSIGN_H
